/*
 * Copyright (C) 2008-2012 Andre Noll <maan@systemlinux.org>
 *
 * Licensed under the GPL v2. For licencing details see COPYING.
 */

/** \file ggo.h Functions and structures for help text handling. */

/**
 * Used by executables that can not use gengetopt's generated help function.
 */
struct ggo_help {
	/** The lines of the short help text. */
	const char **short_help;
	/** The lines of the detailed help text. */
	const char **detailed_help;
};

void ggo_print_help(struct ggo_help *help, int detailed_help);
__printf_1_2 void printf_or_die(const char *fmt, ...);
